Kerbal Space Program - Bug #2335

Claw appears to be attached after quickloading while attached to asteroid.
04/03/2014 05:45 PM - Saskwach

Status: Closed Start date: 04/03/2014
Severity: Normal % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 0.23.5 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

| quicksaved before attaching a ship to a kerbin-killer asteroid, but got to the rendezvous too late. So, after attaching to the asteroid, |
quickloaded. Trying to use time warp past 9x caused my ship to tear itself apart. Time warp at 1 arrow (up to 9x) caused the ship's
orbit to change dramatically.

Maneuvering the ship felt like the asteroid was still attached. Quickloading, quitting, and relaunching the game made the problem go
away.

I'm running the x86_64 Linux executable.
Steps:

1. Launch an asteroid grabber ship.

2. Quicksave while on intercept course.
3. Grab the asteroid.

4. Quickload.

5. Try to use time warp.

History

#1 - 04/05/2014 01:06 PM - Saskwach

Extra information: Quickloading while attached to an asteroid at all seems to make the physics go nuts.

#2 - 07/17/2016 09:25 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/09/2016 10:39 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
